void readFlex (int pinnumber, int flagvalue) //This function collects an averaged reading from the specified flex sensor and outputs whether the value
//is lower or higher than the critical "flag" value
{
  int flexValue1 = 0; //These six values will be six flex sensor readings
  int flexValue2 = 0;
  int flexValue3 = 0;
  int flexValue4 = 0;
  int flexValue5 = 0;
  int flexValue6 = 0;
  
  int flexAvg = 0; //The average of the six readings

  for (int i = 0; i < 6; i++) { //The six flex sensor readings are collected
    flexValue6 = flexValue5;
    flexValue5 = flexValue4;
    flexValue4 = flexValue3;
    flexValue3 = flexValue2;
    flexValue2 = flexValue1;
    flexValue1 = analogRead(pinnumber);
    delay(flexDuration / 6); //A time delay is set between each reading so that the total reading time is equal to the duration set
  }
  
  flexAvg = (flexValue1 + flexValue2 + flexValue3 + flexValue4 + flexValue5 + flexValue6) / 6; //The readings are averaged
  
  if (pinnumber == flexFist) { //Conditions for knuckle flex sensor readings
    if (flexAvg > flagvalue) { //Sets the fist status to 1 if the flex sensor is sufficiently bent
      flagFist = 1;
    }
    else {
      flagFist = 0;
    }
  }
  if (pinnumber == flexWrist) { //Conditions for wrist flex sensor readings
    if (flexAvg > flagvalue) { //Sets the wrist status to 1 if the flex sensor is sufficiently bent
      flagWrist = 1;
    }
    else {
      flagWrist = 0;
    }
  }
}


void moveServos (int target) //This function moves both servos together to the specified "target" (the open or closed position)
{
  int Ltarget; //Local variables for the desired left and right servo positions
  int Rtarget;
  
  int Lstate; //Local variables for the measured left and right servo positions
  int Rstate;

  if (target == up) { //Calls the global variables for servos' up positions
    Ltarget = upL;
    Rtarget = upR;
  }
  if (target == down) { //Calls the global variables for the servos' down positions
    Ltarget = downL;
    Rtarget = downR;
  }
  
  Lstate = myservoL.read(); //Initially reads the servo positions
  Rstate = myservoR.read();
  
  while (Lstate != Ltarget || Rstate != Rtarget) { //This runs until both servos reach the desired position
    if (Lstate < Ltarget) { //Increments the left servo angle if it needs to be higher
      myservoL.write(Lstate+1);
    }
    if (Lstate > Ltarget) { //Decrements the left servo angle if it needs to be lower
      myservoL.write(Lstate-1);
    }
    if (Rstate < Rtarget) { //Increments the right servo angle if it needs to be higher
      myservoR.write(Rstate+1);
    }
    if (Rstate > Rtarget) { //Decrements the right servo angle if it needs to be lower
      myservoR.write(Rstate-1);
    }
    delay(servoDelay); //To slow the servo motion, waits a specified time after each degree of rotation
    
    Lstate = myservoL.read(); //Re-reads the servo positions for the next iteration
    Rstate = myservoR.read();
  }
}
